Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(737)

Issue 29361445: Issue 4399 - Add WebView inheritor with ad blocking (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 years, 7 months ago by anton
Modified:
3 years, 5 months ago
CC:
René Jeschke
Visibility:
Public.

Description

Issue 4399 - Add WebView inheritor with ad blocking This is patchset 20 for the code review https://codereview.adblockplus.org/29351744/ Important related ticket: https://codereview.adblockplus.org/29361556

Patch Set 1 #

Total comments: 111

Patch Set 2 : detecting if it's XmlHttpRequest + changes from https://codereview.adblockplus.org/29361556/ #

Patch Set 3 : fixes according to Diego's suggestions #

Patch Set 4 : fixed 'in _the_ .. directory' in README #

Patch Set 5 : added retaining in asynchronous mode #

Total comments: 17

Patch Set 6 : code clean-up (Diego's suggestions) #

Patch Set 7 : applied codestyle: members first, methods then #

Total comments: 4

Patch Set 8 : fixed 2 more members in AdblockEngine #

Total comments: 10

Patch Set 9 : removed client <21, fixed typos, moved Adblock level out of .android.settings #

Patch Set 10 : renamings, updated README #

Total comments: 4
Unified diffs Side-by-side diffs Delta from patch set Stats (+4799 lines, -444 lines) Patch
M .gitignore View 1 chunk +13 lines, -7 lines 0 comments Download
M .hgignore View 1 chunk +13 lines, -13 lines 0 comments Download
M README.md View 6 chunks +207 lines, -23 lines 4 comments Download
M build.gradle View 1 chunk +1 line, -5 lines 0 comments Download
M gradle/wrapper/gradle-wrapper.properties View 1 chunk +1 line, -1 line 0 comments Download
A libadblockplus-android-settings/AndroidManifest.xml View 1 chunk +11 lines, -0 lines 0 comments Download
A libadblockplus-android-settings/build.gradle View 1 chunk +36 lines, -0 lines 0 comments Download
A + libadblockplus-android-settings/build.xml View 3 chunks +16 lines, -8 lines 0 comments Download
A libadblockplus-android-settings/pom.xml View 1 chunk +69 lines, -0 lines 0 comments Download
A + libadblockplus-android-settings/project.properties View 1 chunk +6 lines, -1 line 0 comments Download
A libadblockplus-android-settings/res/drawable-hdpi/fragment_adblock_whitelisted_domains_add.png View Binary file 0 comments Download
A libadblockplus-android-settings/res/drawable-hdpi/fragment_adblock_whitelisted_domains_remove.png View Binary file 0 comments Download
A libadblockplus-android-settings/res/drawable-mdpi/fragment_adblock_whitelisted_domains_add.png View Binary file 0 comments Download
A libadblockplus-android-settings/res/drawable-mdpi/fragment_adblock_whitelisted_domains_remove.png View Binary file 0 comments Download
A libadblockplus-android-settings/res/drawable-xhdpi/fragment_adblock_whitelisted_domains_add.png View Binary file 0 comments Download
A libadblockplus-android-settings/res/drawable-xhdpi/fragment_adblock_whitelisted_domains_remove.png View Binary file 0 comments Download
A libadblockplus-android-settings/res/drawable-xxhdpi/fragment_adblock_whitelisted_domains_add.png View Binary file 0 comments Download
A libadblockplus-android-settings/res/drawable-xxhdpi/fragment_adblock_whitelisted_domains_remove.png View Binary file 0 comments Download
A libadblockplus-android-settings/res/drawable-xxxhdpi/ic_add_circle_outline_black_24dp.png View Binary file 0 comments Download
A libadblockplus-android-settings/res/drawable-xxxhdpi/ic_remove_circle_outline_black_24dp.png View Binary file 0 comments Download
A libadblockplus-android-settings/res/layout/fragment_adblock_whitelisted_domain_item.xml View 1 chunk +30 lines, -0 lines 0 comments Download
A libadblockplus-android-settings/res/layout/fragment_adblock_whitelisted_domains_settings.xml View 1 chunk +52 lines, -0 lines 0 comments Download
A libadblockplus-android-settings/res/values/adblock_settings_dimen_internal.xml View 1 chunk +7 lines, -0 lines 0 comments Download
A libadblockplus-android-settings/res/values/adblock_settings_strings.xml View 1 chunk +14 lines, -0 lines 0 comments Download
A libadblockplus-android-settings/res/values/adblock_settings_strings_internal.xml View 1 chunk +11 lines, -0 lines 0 comments Download
A libadblockplus-android-settings/res/xml/preference_adblock_general.xml View 1 chunk +27 lines, -0 lines 0 comments Download
A libadblockplus-android-settings/src/org/adblockplus/libadblockplus/android/settings/AdblockHelper.java View 1 chunk +222 lines, -0 lines 0 comments Download
A libadblockplus-android-settings/src/org/adblockplus/libadblockplus/android/settings/AdblockSettings.java View 1 chunk +85 lines, -0 lines 0 comments Download
A libadblockplus-android-settings/src/org/adblockplus/libadblockplus/android/settings/AdblockSettingsStorage.java View 1 chunk +78 lines, -0 lines 0 comments Download
A libadblockplus-android-settings/src/org/adblockplus/libadblockplus/android/settings/BaseSettingsFragment.java View 1 chunk +122 lines, -0 lines 0 comments Download
A libadblockplus-android-settings/src/org/adblockplus/libadblockplus/android/settings/GeneralSettingsFragment.java View 1 chunk +274 lines, -0 lines 0 comments Download
A libadblockplus-android-settings/src/org/adblockplus/libadblockplus/android/settings/SharedPrefsStorage.java View 1 chunk +200 lines, -0 lines 0 comments Download
A libadblockplus-android-settings/src/org/adblockplus/libadblockplus/android/settings/WhitelistedDomainsSettingsFragment.java View 1 chunk +249 lines, -0 lines 0 comments Download
M libadblockplus-android-tests/AndroidManifest.xml View 1 chunk +2 lines, -2 lines 0 comments Download
M libadblockplus-android-tests/build.gradle View 1 chunk +3 lines, -3 lines 0 comments Download
M libadblockplus-android-tests/src/org/adblockplus/libadblockplus/tests/AndroidWebRequestTest.java View 4 chunks +26 lines, -3 lines 0 comments Download
A libadblockplus-android-tests/src/org/adblockplus/libadblockplus/tests/UtilsTest.java View 1 chunk +55 lines, -0 lines 0 comments Download
A libadblockplus-android-webview/AndroidManifest.xml View 1 chunk +11 lines, -0 lines 0 comments Download
A libadblockplus-android-webview/assets/css.js View 1 chunk +21 lines, -0 lines 0 comments Download
A + libadblockplus-android-webview/assets/empty.js View 0 chunks +-1 lines, --1 lines 0 comments Download
A libadblockplus-android-webview/assets/hide.js View 1 chunk +28 lines, -0 lines 0 comments Download
A libadblockplus-android-webview/assets/inject.js View 1 chunk +44 lines, -0 lines 0 comments Download
A libadblockplus-android-webview/build.gradle View 1 chunk +33 lines, -0 lines 0 comments Download
A + libadblockplus-android-webview/build.xml View 3 chunks +16 lines, -8 lines 0 comments Download
A libadblockplus-android-webview/pom.xml View 1 chunk +69 lines, -0 lines 0 comments Download
A + libadblockplus-android-webview/project.properties View 1 chunk +6 lines, -1 line 0 comments Download
A libadblockplus-android-webview/src/org/adblockplus/libadblockplus/android/webview/AdblockWebView.java View 1 chunk +1424 lines, -0 lines 0 comments Download
A libadblockplus-android-webviewapp/AndroidManifest.xml View 1 chunk +39 lines, -0 lines 0 comments Download
A libadblockplus-android-webviewapp/build.gradle View 1 chunk +48 lines, -0 lines 0 comments Download
A + libadblockplus-android-webviewapp/build.xml View 2 chunks +7 lines, -8 lines 0 comments Download
A libadblockplus-android-webviewapp/pom.xml View 1 chunk +74 lines, -0 lines 0 comments Download
A + libadblockplus-android-webviewapp/project.properties View 1 chunk +3 lines, -2 lines 0 comments Download
A libadblockplus-android-webviewapp/res/drawable/icon.png View Binary file 0 comments Download
A libadblockplus-android-webviewapp/res/layout/activity_main.xml View 1 chunk +61 lines, -0 lines 0 comments Download
A libadblockplus-android-webviewapp/res/values/strings.xml View 1 chunk +10 lines, -0 lines 0 comments Download
A + libadblockplus-android-webviewapp/src/org/adblockplus/libadblockplus/android/webviewapp/Application.java View 1 chunk +10 lines, -8 lines 0 comments Download
A libadblockplus-android-webviewapp/src/org/adblockplus/libadblockplus/android/webviewapp/MainActivity.java View 1 chunk +274 lines, -0 lines 0 comments Download
A libadblockplus-android-webviewapp/src/org/adblockplus/libadblockplus/android/webviewapp/SettingsActivity.java View 1 chunk +117 lines, -0 lines 0 comments Download
M libadblockplus-android/AndroidManifest.xml View 1 chunk +2 lines, -2 lines 0 comments Download
M libadblockplus-android/build.gradle View 1 chunk +21 lines, -61 lines 0 comments Download
M libadblockplus-android/jni/JniFilter.cpp View 1 chunk +3 lines, -1 line 0 comments Download
M libadblockplus-android/jni/JniFilterEngine.cpp View 2 chunks +20 lines, -0 lines 0 comments Download
M libadblockplus-android/jni/JniSubscription.cpp View 1 chunk +3 lines, -1 line 0 comments Download
M libadblockplus-android/jni/Utils.h View 1 chunk +1 line, -0 lines 0 comments Download
M libadblockplus-android/jni/Utils.cpp View 1 chunk +5 lines, -0 lines 0 comments Download
M libadblockplus-android/pom.xml View 1 chunk +11 lines, -6 lines 0 comments Download
D libadblockplus-android/src/org/adblockplus/android/AndroidWebRequest.java View 1 chunk +0 lines, -143 lines 0 comments Download
D libadblockplus-android/src/org/adblockplus/android/Utils.java View 1 chunk +0 lines, -83 lines 0 comments Download
M libadblockplus-android/src/org/adblockplus/libadblockplus/FilterEngine.java View 2 chunks +7 lines, -0 lines 0 comments Download
M libadblockplus-android/src/org/adblockplus/libadblockplus/JniExceptionHandler.java View 1 chunk +1 line, -1 line 0 comments Download
A libadblockplus-android/src/org/adblockplus/libadblockplus/android/AdblockEngine.java View 1 chunk +473 lines, -0 lines 0 comments Download
A + libadblockplus-android/src/org/adblockplus/libadblockplus/android/AndroidLogSystem.java View 1 chunk +22 lines, -12 lines 0 comments Download
A + libadblockplus-android/src/org/adblockplus/libadblockplus/android/AndroidWebRequest.java View 3 chunks +16 lines, -28 lines 0 comments Download
A + libadblockplus-android/src/org/adblockplus/libadblockplus/android/Subscription.java View 1 chunk +10 lines, -6 lines 0 comments Download
A + libadblockplus-android/src/org/adblockplus/libadblockplus/android/Utils.java View 2 chunks +52 lines, -8 lines 0 comments Download
A pom.xml View 1 chunk +25 lines, -0 lines 0 comments Download
M settings.gradle View 1 chunk +3 lines, -0 lines 0 comments Download

Messages

Total messages: 14
anton
3 years, 7 months ago (2016-11-02 12:46:06 UTC) #1
diegocarloslima
https://codereview.adblockplus.org/29361445/diff/29361446/.hgignore File .hgignore (right): https://codereview.adblockplus.org/29361445/diff/29361446/.hgignore#newcode3 .hgignore:3: **/ant.properties In order to provide better maintainability, I would ...
3 years, 7 months ago (2016-11-08 16:30:59 UTC) #2
anton
Updated according to Diego's suggestions (patch set 3) https://codereview.adblockplus.org/29361445/diff/29361446/.hgignore File .hgignore (right): https://codereview.adblockplus.org/29361445/diff/29361446/.hgignore#newcode3 .hgignore:3: **/ant.properties ...
3 years, 7 months ago (2016-11-09 12:30:44 UTC) #3
diegocarloslima
Apart from the code comments, there are 2 more things that I would like to ...
3 years, 6 months ago (2016-11-29 17:47:47 UTC) #4
anton
https://codereview.adblockplus.org/29361445/diff/29364268/libadblockplus-android-settings/res/layout/fragment_adblock_whitelisted_domain_item.xml File libadblockplus-android-settings/res/layout/fragment_adblock_whitelisted_domain_item.xml (right): https://codereview.adblockplus.org/29361445/diff/29364268/libadblockplus-android-settings/res/layout/fragment_adblock_whitelisted_domain_item.xml#newcode15 libadblockplus-android-settings/res/layout/fragment_adblock_whitelisted_domain_item.xml:15: android:layout_width="0px" On 2016/11/29 17:47:40, diegocarloslima wrote: > You have ...
3 years, 6 months ago (2016-11-30 06:34:46 UTC) #5
diegocarloslima
https://codereview.adblockplus.org/29361445/diff/29367569/libadblockplus-android/src/org/adblockplus/libadblockplus/android/AdblockEngine.java File libadblockplus-android/src/org/adblockplus/libadblockplus/android/AdblockEngine.java (right): https://codereview.adblockplus.org/29361445/diff/29367569/libadblockplus-android/src/org/adblockplus/libadblockplus/android/AdblockEngine.java#newcode323 libadblockplus-android/src/org/adblockplus/libadblockplus/android/AdblockEngine.java:323: private volatile boolean enabled = true; This field is ...
3 years, 5 months ago (2016-12-15 14:42:10 UTC) #6
anton
https://codereview.adblockplus.org/29361445/diff/29367569/libadblockplus-android/src/org/adblockplus/libadblockplus/android/AdblockEngine.java File libadblockplus-android/src/org/adblockplus/libadblockplus/android/AdblockEngine.java (right): https://codereview.adblockplus.org/29361445/diff/29367569/libadblockplus-android/src/org/adblockplus/libadblockplus/android/AdblockEngine.java#newcode323 libadblockplus-android/src/org/adblockplus/libadblockplus/android/AdblockEngine.java:323: private volatile boolean enabled = true; On 2016/12/15 14:42:07, ...
3 years, 5 months ago (2016-12-16 08:32:52 UTC) #7
diegocarloslima
On 2016/12/16 08:32:52, anton wrote: > https://codereview.adblockplus.org/29361445/diff/29367569/libadblockplus-android/src/org/adblockplus/libadblockplus/android/AdblockEngine.java > File > libadblockplus-android/src/org/adblockplus/libadblockplus/android/AdblockEngine.java > (right): > > ...
3 years, 5 months ago (2016-12-16 10:12:21 UTC) #8
anton
https://codereview.adblockplus.org/29361445/diff/29368568/libadblockplus-android/jni/Utils.h File libadblockplus-android/jni/Utils.h (right): https://codereview.adblockplus.org/29361445/diff/29368568/libadblockplus-android/jni/Utils.h#newcode151 libadblockplus-android/jni/Utils.h:151: jstring JniStdStringToJava(JNIEnv* env, std::string str); BTW it can be ...
3 years, 5 months ago (2016-12-16 11:09:49 UTC) #9
Felix Dahlke
LGTM! I only did a very high level review, but it looks pretty good. If ...
3 years, 5 months ago (2016-12-16 13:40:51 UTC) #10
anton
https://codereview.adblockplus.org/29361445/diff/29368568/libadblockplus-android-settings/build.xml File libadblockplus-android-settings/build.xml (right): https://codereview.adblockplus.org/29361445/diff/29368568/libadblockplus-android-settings/build.xml#newcode69 libadblockplus-android-settings/build.xml:69: Walkaround for the issue: ant does not copy assets ...
3 years, 5 months ago (2016-12-19 13:22:19 UTC) #11
diegocarloslima
https://codereview.adblockplus.org/29361445/diff/29369147/README.md File README.md (right): https://codereview.adblockplus.org/29361445/diff/29369147/README.md#newcode165 README.md:165: Retain Adblock instance in activity `onCreate` in synchronous mode ...
3 years, 5 months ago (2016-12-19 16:14:15 UTC) #12
anton
https://codereview.adblockplus.org/29361445/diff/29369147/README.md File README.md (right): https://codereview.adblockplus.org/29361445/diff/29369147/README.md#newcode165 README.md:165: Retain Adblock instance in activity `onCreate` in synchronous mode ...
3 years, 5 months ago (2016-12-19 19:12:19 UTC) #13
Felix Dahlke
3 years, 5 months ago (2016-12-19 20:55:18 UTC) #14
Can't see the renamings either. But assuming nothing else changed - LGTM. (I
agree with Anton, the README seems fine as is for now. I think we might want to
improve the instructions some more later anyway.)
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 87257f5